> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a file



## OpenAPI

````yaml delete /frontend/donor/dashboard/file/{client_id}/{program_id}/{id}/{entity_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/donor/dashboard/file/{client_id}/{program_id}/{id}/{entity_id}/{session_id}:
    delete:
      tags:
        - Frontend Donor
      summary: Delete a file
      operationId: 0aa46e7eb41be190f2ee6ec1612d4096
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: id
          in: path
          description: The ID of the file to delete
          required: true
          schema:
            type: integer
        - name: entity_id
          in: path
          description: The ID of the entity
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The ID of the session
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  redirect:
                    type: string
                    example: >-
                      /frontend/donor_upload/{client_id}/{program_id}/{entity_id}/{session_id}
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid request
                type: object
      security:
        - sessionIdAuth: []
components:
  securitySchemes:
    sessionIdAuth:
      type: apiKey
      description: Use a session id to authenticate
      name: session_id
      in: header

````